---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetlocal002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x513B0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x532F0, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x536E0, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54680, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54690, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50ED0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50ED4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50ED8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51030, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x510E8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x510EC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x510F0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x510F4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x510F8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51100, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51118, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51120, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51128, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51130, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51138, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL3mid, symObjAddr: 0x51180, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51188, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51190, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x51191, symBinAddr: 0xC1B1, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51198, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x511A8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x919B, offset: 0x919B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x41A0, symSize: 0x80 }
  - { offsetInCU: 0x9230, offset: 0x9230, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x40F0, symSize: 0xB0 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3FF0, symSize: 0x100 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4220, symSize: 0x220 }
  - { offsetInCU: 0x9703, offset: 0x9703, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4440, symSize: 0xA0 }
  - { offsetInCU: 0x97B6, offset: 0x97B6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x44E0, symSize: 0x110 }
  - { offsetInCU: 0x98AC, offset: 0x98AC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x45F0, symSize: 0x150 }
  - { offsetInCU: 0x99DD, offset: 0x99DD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4740, symSize: 0x30 }
  - { offsetInCU: 0x9ABE, offset: 0x9ABE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4770, symSize: 0x150 }
  - { offsetInCU: 0x9CB6, offset: 0x9CB6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x48C0, symSize: 0x160 }
  - { offsetInCU: 0x9E42, offset: 0x9E42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4A20, symSize: 0x1B0 }
  - { offsetInCU: 0xA05D, offset: 0xA05D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4BD0, symSize: 0xA0 }
  - { offsetInCU: 0xA12C, offset: 0xA12C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4C70, symSize: 0x20 }
  - { offsetInCU: 0xA163, offset: 0xA163, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4C90, symSize: 0x20 }
  - { offsetInCU: 0xA19A, offset: 0xA19A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4CB0, symSize: 0x20 }
  - { offsetInCU: 0xA309, offset: 0xA309, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4CD0, symSize: 0x1A0 }
  - { offsetInCU: 0xA62F, offset: 0xA62F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E70, symSize: 0x80 }
  - { offsetInCU: 0xA6F8, offset: 0xA6F8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4EF0, symSize: 0x6A0 }
  - { offsetInCU: 0xB28D, offset: 0xB28D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3B0, symBinAddr: 0x6430, symSize: 0xB0 }
  - { offsetInCU: 0xB304, offset: 0xB304, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5590, symSize: 0x70 }
  - { offsetInCU: 0xB3C0, offset: 0xB3C0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5600, symSize: 0xA0 }
  - { offsetInCU: 0xB4EB, offset: 0xB4EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x56A0, symSize: 0x40 }
  - { offsetInCU: 0xB5E1, offset: 0xB5E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x56E0, symSize: 0x2B0 }
  - { offsetInCU: 0xB987, offset: 0xB987, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5990, symSize: 0xC0 }
  - { offsetInCU: 0xBACD, offset: 0xBACD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A50, symSize: 0x10 }
  - { offsetInCU: 0xBB8F, offset: 0xBB8F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A60, symSize: 0x220 }
  - { offsetInCU: 0xBE8C, offset: 0xBE8C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5C80, symSize: 0x10 }
  - { offsetInCU: 0xBEE9, offset: 0xBEE9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5C90, symSize: 0x170 }
  - { offsetInCU: 0xC0B6, offset: 0xC0B6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x5E00, symSize: 0x10 }
  - { offsetInCU: 0xC217, offset: 0xC217, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x9D90, symBinAddr: 0x5E10, symSize: 0x330 }
  - { offsetInCU: 0xC5C5, offset: 0xC5C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariable_getlocal002_getMeth, symObjAddr: 0xA0C0, symBinAddr: 0x6140, symSize: 0xB0 }
  - { offsetInCU: 0xC6D7, offset: 0xC6D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariable_getlocal002_checkLoc, symObjAddr: 0xA170, symBinAddr: 0x61F0, symSize: 0x230 }
  - { offsetInCU: 0xC94E, offset: 0xC94E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariable_getlocal002_getRes, symObjAddr: 0xA3A0, symBinAddr: 0x6420, symSize: 0x10 }
  - { offsetInCU: 0xC986, offset: 0xC986, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA460, symBinAddr: 0x64E0, symSize: 0x36A }
...
